# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/ispell /usr/bin/splint gcc-c++ libXmu-devel perl(DB_File.pm) perl(English.pm) perl(Fcntl.pm) perl(FileHandle.pm) perl(HTML/Toc.pm) perl(HTML/TocGenerator.pm) perl(I18N/Langinfo.pm) perl(IO/File.pm) perl(IO/Pty.pm) perl(IO/Socket.pm) perl(Socket.pm) xorg-xproto-devel
# END SourceDeps(oneline)
%define fedora 19
Name:		vile
Version:	9.8i
Release:	alt1_2
Summary:	VI Like Emacs
Group:		Editors
License:	GPLv2
URL:		http://invisible-island.net/vile/
Source0:	ftp://invisible-island.net/vile/current/%{name}-%{version}.tgz
Source1:	xvile.desktop
BuildRequires:	ncurses-devel
BuildRequires:	flex
BuildRequires:	desktop-file-utils
Requires:	%{name}-common = %{version}-%{release}
Source44: import.info

%package	common
Summary:	The common files needed by any version of the VIM editor
Group:		Editors

%package -n	xvile
Summary:	VI Like Emacs
Group:		Editors
%if 0%{?el5}%{?el6}%{?fedora}
BuildRequires:	libXpm-devel
BuildRequires:	libXt-devel
Requires:	fonts-bitmap-misc
%endif
%if 0%{?el4}
BuildRequires:	xorg-x11-libs
BuildRequires:	xorg-x11-devel
Requires:	fonts-xorg-base
%endif

Requires:	%{name}-common = %{version}-%{release}


%description	common
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding. 
vile-common provides the files needed for all versions of vile.

%description -n xvile
xvile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%description 
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%prep
%setup -q

%build
%configure --with-loadable-filters --disable-rpath-hack
make %{?_smp_mflags} vile

%configure --with-app-defaults=%{_datadir}/X11/app-defaults \
	   --with-screen=x11 --with-loadable-filters --disable-rpath-hack \
	   --with-icon-theme --with-icondir=%{_datadir}/icons/ \
	   --with-pixmapdir=%{_datadir}/pixmaps/ --with-xpm
make %{?_smp_mflags} xvile
touch vile

%install
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='xvile'
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='vile'
desktop-file-install --vendor='' --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/uxvile.1
ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/lxvile.1


%files
%{_bindir}/vile
%{_bindir}/vile-pager
%{_mandir}/man1/vile.1*

%files common
%doc AUTHORS COPYING CHANGES README doc/*doc
%{_datadir}/vile/
%{_libdir}/vile/

%files -n xvile
%{_bindir}/lxvile
%{_bindir}/lxvile-fonts
%{_bindir}/uxvile
%{_bindir}/xshell.sh
%{_bindir}/xvile
%{_bindir}/xvile-pager
%{_mandir}/man1/xvile.1*
%{_mandir}/man1/lxvile.1*
%{_mandir}/man1/uxvile.1*
%{_datadir}/pixmaps/vile.xpm
%{_datadir}/icons/hicolor/*/apps/vile.*
%{_datadir}/X11/app-defaults/XVile
%{_datadir}/X11/app-defaults/UXVile
%{_datadir}/applications/xvile.desktop

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 9.8i-alt1_2
- initial fc import

